
Redmine - Defect #10711

User cannot change account details with "Login has already been taken" error

2012-04-19 10:18 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 1.4.1   

Resolution: Fixed Affected version: 1.3.1

Description

One of our users cannot change anything in his account:

Even the administrator cannot make any changes.

After saving without any changes the message:

Login has already been taken

 Other user don´t have this issue.

Please help

Ruby Version 1.8.7

Rails Version 3.2.1

DB Version MySQL 5.1.61

 Regards

Stefan

Associated revisions

Revision 9449 - 2012-04-19 10:42 - Jean-Philippe Lang

Fixed that users with different case logins cannot update their accounts (#10711).

History

#1 - 2012-04-19 10:42 - Jean-Philippe Lang

- Subject changed from User cannot change account details to User cannot change account details with "Login has already been taken" error

- Category set to Accounts / authentication

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.1

- Resolution set to Fixed

Fixed in r9449.

#2 - 2012-04-20 08:14 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in r9454.
